﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CheckEditorColumnSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.InitializeLayout += ultraGrid1_InitializeLayout;
            this.ultraGrid1.AfterCellActivate += ultraGrid1_AfterCellActivate;
            this.ultraGrid1.BeforeCellDeactivate += ultraGrid1_BeforeCellDeactivate;          
        }

        void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {                  

            var valuelist = new ValueList();
            valuelist.ValueListItems.Add(true, "True");
            valuelist.ValueListItems.Add(true, "False");

            e.Layout.ValueLists.Add(valuelist);
            e.Layout.Bands[0].Columns[0].ValueList = valuelist;
            e.Layout.Bands[0].Columns[0].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Edit;
            e.Layout.Override.CellClickAction = CellClickAction.Edit;
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = ultraDataSource1;
            for (int i = 0; i < 10; i++)
            {
                ultraDataSource1.Rows.Add(new object[]{ i % 2 == 0});
            }                      
            
        }

        void ultraGrid1_AfterCellActivate(object sender, EventArgs e)
        {
            ultraGrid1.ActiveCell.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
          
        }

        void ultraGrid1_BeforeCellDeactivate(object sender, CancelEventArgs e)
        {

            this.ultraGrid1.ActiveCell.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Edit;
        }
      
    }
}
